﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="UseVirtualEarth.aspx.cs"
    Inherits="CSSamples.Samples.Layers.UseVirtualEarth" %>

<%@ Register Assembly="WebEdition" Namespace="ThinkGeo.MapSuite.WebEdition" TagPrefix="cc1" %>
<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <link href="~/theme/default/samplepic/style.css" rel="stylesheet" type="text/css" />
    <title>Use VirtualEarth Map</title>
    <script type="text/javascript">
    var tgMap = null;
var OnMapCreated = function(map){
    tgMap = map;
    //...
}

window.onresize = function(){
    if(tgMap){
        var veLayer = tgMap.getLayer("VirtualEarth Map");
        if(veLayer){
            var veObj = veLayer.mapObject;
            var newWidth = parseInt($get('Map1').clientWidth);
            var newHeight = parseInt($get('Map1').clientHeight);
            veObj.mapelement.style.width = newWidth;
            veObj.mapelement.style.height = newHeight;
            veObj.Resize();
        } 
    }
}
    </script>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <cc1:Map ID="Map1" runat="server" Height="100%" Width="100%">
    </cc1:Map>
    <Description:DescriptionPanel ID="DescPanel" runat="server">
        This sample displays a VirtualEarth map. Click the buttons below to display different types of VirtualEarth map.
        <br />
        <asp:Button ID="btnRoad" CssClass="btn" runat="server" Text="Road" OnClientClick="Map1.SetCurrentBackgroundMapType(VEMapStyle.Road); return false;" /><br/>
        <asp:Button ID="btnSatellite" CssClass="btn" runat="server" Text="Aerial" OnClientClick="Map1.SetCurrentBackgroundMapType(VEMapStyle.Aerial); return false;" /><br/>
        <asp:Button ID="btnPhysical" CssClass="btn" runat="server" Text="Hybrid" OnClientClick="Map1.SetCurrentBackgroundMapType(VEMapStyle.Hybrid); return false;" />
    </Description:DescriptionPanel>
    </form>
</body>
</html>
